import {
  select, csv, nest
} from 'd3';


const body = d3.select("body");
const table = body.append("table");

const matrix = [
  [ 0,  1,  2,  3],
  [ 4,  5,  6,  7],
  [ 8,  9, 10, 11],
  [12, 13, 14, 15],
];

csv('data.csv').then((data)=>{
  data = nest().key(d=>d.cat).entries(data);
	const svg = body.append('svg').attr('width', 200).attr('height', 200);
	svg.selectAll('text').data(data).enter()
    .append('text')
  	.text(d=>d.key)
  	.attr('x', (d,i)=>i*10)
  	.attr('y', 100)
  .selectAll('text')
	.data((d,i)=>i).enter().append('text')
  	.text(d=>d.key)
  	.attr('x', (d,i)=>i*20)
    .attr('y', 120)
  
})

const tr = table.selectAll("tr")
    .data(matrix)
  .enter().append("tr").selectAll("td")
    .data(function(d,i) { return d.map((a,i)=>a+i*2); })
  .enter().append("td").text((d,i)=>d);
